# norootforbuild

%define lib       libffmpeg_oldabi
%define majoravcodec     52
%define libavcodec       libavcodec
%define libnameavcodec   %{libavcodec}%{majoravcodec}
%define majoravdevice    52
%define libavdevice      libavdevice
%define libnameavdevice  %{libavdevice}%{majoravdevice}
%define majoravformat    52
%define libavformat      libavformat
%define libnameavformat  %{libavformat}%{majoravformat}
%define majoravutil      50
%define libavutil        libavutil
%define libnameavutil    %{libavutil}%{majoravutil}
%define majoravfilter    1
%define libavfilter      libavfilter
%define libnameavfilter  %{libavfilter}%{majoravfilter}
%define majorpostproc    51
%define libpostproc      libpostproc
%define libnamepostproc  %{libpostproc}%{majorpostproc}
%define majorswscale     0
%define libswscale       libswscale
%define libnameswscale   %{libswscale}%{majorswscale}
%define lastrelease      0.7.15

%bcond_without avfilter
%bcond_without libvpx
%bcond_with libfaac
%bcond_with libopenjpeg


Name:           ffmpeg_oldabi
Version:        %{lastrelease}
Release:        1.2
License:        LGPL v2 or later and some code GPL v2 or later
Group:          Productivity/Multimedia/Video/Editors and Convertors
Summary:        Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Summary(de):    Hyperschneller MPEG1/MPEG4/H263/RV Und AC3/MPEG Audio-Encoder
URL:            http://www.ffmpeg.org
Source0:        ffmpeg-%{version}.tar.bz2
Source1:        ffmpeg_oldabi.rpmlintrc
Source2:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:  yasm
BuildRequires:  libgsm
BuildRequires:  libgsm-devel
BuildRequires:  imlib2-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libtheora-devel >= 1.1
BuildRequires:  ncurses-devel
BuildRequires:  libjack-devel
BuildRequires:  alsa-devel
BuildRequires:  freetype2-devel
BuildRequires:  SDL-devel
BuildRequires:  slang-devel
BuildRequires:  xorg-x11-devel
BuildRequires:  zlib-devel
%if %{with libfaac}
BuildRequires:  libfaac-devel >= 1.28
%endif
BuildRequires:  libx264-devel
BuildRequires:  libxvidcore-devel
BuildRequires:  texinfo
BuildRequires:  libopencore-amr-devel
BuildRequires:  libdc1394
BuildRequires:  libdc1394-devel
BuildRequires:  speex-devel
BuildRequires:  schroedinger-devel
BuildRequires:  liboil-devel >= 0.3.15
BuildRequires:  dirac-devel >= 1.0.0
BuildRequires:  librtmp-devel
BuildRequires:  libva-devel
%if 0%{?suse_version} <= 1130
BuildRequires:  libdc1394_control12-devel
%endif
%if %{with libopenjpeg}
BuildRequires:  libopenjpeg-devel
%endif
BuildRequires:  libvdpau-devel
%if %{with libvpx}
%ifarch %ix86 x86_64 amd64 ia32e
BuildRequires:  libvpx-devel
%endif
%endif
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavdevice} = %{version}-%{release}
Requires:       %{libnameavformat} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}
Requires:       %{libnamepostproc} = %{version}-%{release}
Requires:       %{libnameswscale} = %{version}-%{release}

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%description -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.


%package -n %{libnameavcodec}
Group:          System/Libraries
Summary:        FFmpeg %{libavcodec}
Provides:       %{libavcodec} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}

%description -n %{libnameavcodec}
ffmpeg %{libavcodec} shared library

%description -n %{libnameavcodec} -l de
ffmpeg %{libavcodec} Bibliothek


%package -n %{libnameavdevice}
Group:          System/Libraries
Summary:        FFmpeg %{libavdevice}
Provides:       %{libavdevice} = %{version}-%{release}
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavformat} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}

%description -n %{libnameavdevice}
ffmpeg %{libavdevice} shared library

%description -n %{libnameavdevice} -l de
ffmpeg %{libavdevice} Bibliothek


%package -n %{libnameavformat}
Group:          System/Libraries
Summary:        FFmpeg %{libavformat}
Provides:       %{libavformat} = %{version}-%{release}
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}
%if %{with avfilter}
Requires:       %{libnameavfilter} = %{version}-%{release}
%endif

%description -n %{libnameavformat}
ffmpeg %{libavformat} shared library

%description -n %{libnameavformat} -l de
ffmpeg %{libavformat} Bibliothek


%package -n %{libnameavutil}
Group:          System/Libraries
Summary:        FFmpeg %{libavutil}
Provides:       %{libavutil} = %{version}-%{release}

%description -n %{libnameavutil}
ffmpeg %{libavutil} shared library

%description -n %{libnameavutil} -l de
ffmpeg %{libavutil} Bibliothek


%if %{with avfilter}
%package -n %{libnameavfilter}
Group:          System/Libraries
Summary:        FFmpeg %{libavutil}
Provides:       %{libavfilter} = %{version}-%{release}
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}

%description -n %{libnameavfilter}
ffmpeg %{libavfilter} shared library

%description -n %{libnameavfilter} -l de
ffmpeg %{libavfilter} Bibliothek
%endif


%package -n %{libnamepostproc}
Group:          System/Libraries
Summary:        FFmpeg %{libpostproc}
Provides:       %{libpostproc} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}

%description -n %{libnamepostproc}
ffmpeg %{libpostproc} shared library

%description -n %{libnamepostproc} -l de
ffmpeg %{libpostproc} Bibliothek


%package -n %{libnameswscale}
Group:          System/Libraries
Summary:        FFmpeg %{libswscale}
Provides:       %{libswscale}_oldabi%{majorswscale} = %{version}-%{release}
Obsoletes:      %{libswscale}_oldabi%{majorswscale} < %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}

%description -n %{libnameswscale}
ffmpeg %{libswscale} shared library

%description -n %{libnameswscale} -l de
ffmpeg %{libswscale} Bibliothek


%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Header files and static library for the ffmpeg library
Summary(de):    Header Dateien und statische Bibliotheken für die ffmpeg Bibliothek
Obsoletes:      ffmpeg_oldabi-devel < %{version}
Provides:       ffmpeg_oldabi-devel = %{version}
Requires:       %{libnameavcodec} = %{version}-%{release}
Requires:       %{libnameavdevice} = %{version}-%{release}
Requires:       %{libnameavformat} = %{version}-%{release}
Requires:       %{libnameavutil} = %{version}-%{release}
Requires:       %{libnamepostproc} = %{version}-%{release}
%if %{with avfilter}
Requires:       %{libnameavfilter} = %{version}-%{release}
%endif
Requires:       %{libnameswscale} = %{version}-%{release}
Requires:       libmp3lame-devel
Requires:       libogg-devel
Requires:       libvorbis-devel
Requires:       libtheora-devel >= 1.1
Requires:       alsa-devel
Requires:       slang-devel
Requires:       zlib-devel
Requires:       libxvidcore-devel
%if %{with libfaac}
Requires:       libfaac-devel
%endif
Requires:       libx264-devel
Requires:       libopencore-amr-devel
Requires:       libjack-devel
Requires:       speex-devel
Requires:       libgsm-devel
Requires:       libdc1394
Requires:       libdc1394-devel
Requires:       schroedinger-devel
Requires:       liboil-devel >= 0.3.15
Requires:       dirac-devel >= 1.0.0
Requires:       librtmp-devel
Requires:       libva-devel
%if 0%{?suse_version} <= 1130
Requires:       libdc1394_control12-devel
%endif
%if %{with libopenjpeg}
Requires:       libopenjpeg-devel
%endif
Requires:       libvdpau-devel
Provides:       libffmpeg0-devel = %{version}-%{release}
%ifarch x86_64 amd64 ia32e
Provides:       libavcodec.so()(64bit)
Provides:       libavformat.so()(64bit)
Provides:       libavutil.so()(64bit)
%if %{with avfilter}
Provides:       libavfilter.so()(64bit)
%endif
Provides:       libpostproc.so()(64bit)
%else
Provides:       libavcodec.so
Provides:       libavformat.so
Provides:       libavutil.so
%if %{with avfilter}
Provides:       libavfilter.so
%endif
Provides:       libpostproc.so
%endif

%description -n %{lib}-devel
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%description -n %{lib}-devel -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.

Installieren Sie libffmpeg-devel wenn Sie Anwendungen mit ffmpeg Support
compilieren wollen.


%prep
%setup -q -n ffmpeg-%{version}
#sed -i -e "s/UNKNOWN/GIT-r%{svnsnapshot}/g" version.sh
%if 0%{?suse_version} <= 1210
%suse_update_libdir configure
%endif
#don't call ldconfig on install
#perl -pi -e 's/ldconfig \|\| true//' libavcodec/Makefile
#remove date references so builds are reproducible (build-compare)
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/" cmdutils.c
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M:%%S')
sed -i "s/__TIME__/\"$FAKE_BUILDTIME\"/" cmdutils.c

%build
export SUSE_ASNEEDED=0
archflags=""
%ifarch x86_64 amd64 ia32e
  archflags=" -fPIC"
%endif
%ifarch %ix86
  archflags=" -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
  sed -i -e "s/-fPIC -DPIC//g" libpostproc/Makefile
%endif

CFLAGS="${RPM_OPT_FLAGS} ${archflags} -I%{_includedir}/gsm"
%if %{with libopenjpeg}
CFLAGS="${CFLAGS}  -I%{_includedir}/openjpeg"
%endif
export archflags
export CFLAGS
CPPFLAGS="${CFLAGS}"
export CPPFLAGS

./configure --shlibdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir} \
            --libdir=%{_libdir} --enable-shared --disable-static --enable-libmp3lame \
            --enable-libvorbis --enable-libtheora --enable-libspeex \
%if %{with libfaac}
            --enable-libfaac --enable-nonfree \
%endif
%if %{with libopenjpeg}
            --enable-libopenjpeg \
%endif
            --enable-libxvid --enable-postproc --enable-gpl \
            --enable-x11grab --extra-cflags="${CFLAGS}" \
            --enable-debug --disable-stripping --enable-libgsm \
            --enable-libschroedinger --enable-libdirac \
%ifarch ppc
            --disable-altivec \
%endif
%if %{with avfilter}
            --enable-avfilter \
%else
            --disable-avfilter \
%endif
%if %{with libvpx}
%ifarch %ix86 x86_64 amd64 ia32e
            --enable-libvpx \
%endif
%endif
            --enable-version3 --enable-libopencore-amrnb --enable-libopencore-amrwb \
            --enable-libx264 --enable-libdc1394 --enable-pthreads --enable-librtmp
%{__make} %{?jobs:-j%{jobs}} V=1

%install
%{__ln_s} libavformat libav
%{makeinstall} V=1

%{__install} -d %{buildroot}%{_libdir}/libavcodec
%{__rm} -rf doc/.git
%{__rm} -f doc/Makefile
%{__rm} -f doc/texi2pod.pl
%{__rm} -f doc/*.html.d
%{__rm} -f doc/ffmpeg.1 doc/ffplay.1 doc/ffprobe.1 doc/ffserver.1
%{__rm} -rf %{buildroot}%{_bindir}
%{__rm} -rf %{buildroot}%{_mandir}/man1
%{__rm} -rf %{buildroot}%{_datadir}/ffmpeg
%{__install} -m 644 libavcodec/dvdata.h %{buildroot}%{_includedir}/libavcodec/
%{__rm} -f %{buildroot}%{_libdir}/*.{la,a}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libnameavcodec} -p /sbin/ldconfig
%postun -n %{libnameavcodec} -p /sbin/ldconfig

%post -n %{libnameavdevice} -p /sbin/ldconfig
%postun -n %{libnameavdevice} -p /sbin/ldconfig

%post -n %{libnameavformat} -p /sbin/ldconfig
%postun -n %{libnameavformat} -p /sbin/ldconfig

%post -n %{libnameavutil} -p /sbin/ldconfig
%postun -n %{libnameavutil} -p /sbin/ldconfig

%post -n %{libnamepostproc} -p /sbin/ldconfig
%postun -n %{libnamepostproc} -p /sbin/ldconfig

%if %{with avfilter}
%post -n %{libnameavfilter} -p /sbin/ldconfig
%postun -n %{libnameavfilter} -p /sbin/ldconfig
%endif

%post -n %{libnameswscale} -p /sbin/ldconfig
%postun -n %{libnameswscale} -p /sbin/ldconfig


%files -n %{libnameavcodec}
%defattr(-,root,root)
%{_libdir}/%{libavcodec}.so.%{majoravcodec}*

%files -n %{libnameavdevice}
%defattr(-,root,root)
%{_libdir}/%{libavdevice}.so.%{majoravdevice}*

%files -n %{libnameavformat}
%defattr(-,root,root)
%{_libdir}/%{libavformat}.so.%{majoravformat}*

%files -n %{libnameavutil}
%defattr(-,root,root)
%{_libdir}/%{libavutil}.so.%{majoravutil}*

%if %{with avfilter}
%files -n %{libnameavfilter}
%defattr(-,root,root)
%{_libdir}/%{libavfilter}.so.%{majoravfilter}*
%endif

%files -n %{libnamepostproc}
%defattr(-,root,root)
%{_libdir}/%{libpostproc}.so.%{majorpostproc}*

%files -n %{libnameswscale}
%defattr(-,root,root)
%{_libdir}/%{libswscale}.so.%{majorswscale}*


%files -n %{lib}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/libavcodec
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Feb 23 2013 Manfred.Tremmel@iiv.de
- update to 0.7.15 (fixing security problems and other improvements)
* Sun Jul  1 2012 Manfred.Tremmel@iiv.de
- update to 0.7.13 (fixing security problems and other improvements)
* Fri Jun  1 2012 Manfred.Tremmel@iiv.de
- added baselibs.configure
- removed patched postproc version, no more conflicts with ffmpeg package
* Sat May 19 2012 seife+obs@b1-systems.com
- don't apply %%suse_update_libdir on >12.1 -- it breaks the build
  and AFAIR is deprecated anyway
* Sat Apr 14 2012 Manfred.Tremmel@iiv.de
- update to 0.7.12 (fixing security problems and other improvements)
* Sun Jan 15 2012 Manfred.Tremmel@iiv.de
- update to 0.7.11 (fixing security problems and other improvements)
* Fri Jan  6 2012 Manfred.Tremmel@iiv.de
- update to 0.7.10 (fixing security problems and other improvements)
* Tue Dec 27 2011 Manfred.Tremmel@iiv.de
- update to 0.7.9 (fixing security problems and other improvements)
* Wed Nov 23 2011 Manfred.Tremmel@iiv.de
- update to 0.7.8 (fixing security problems and other improvements)
* Sun Nov  6 2011 Manfred.Tremmel@iiv.de
- update to 0.7.7 (fixing security problems and other improvements)
* Mon Oct  3 2011 Manfred.Tremmel@iiv.de
- update to 0.7.6 (fixing security problems and other improvements)
* Thu Sep 22 2011 Manfred.Tremmel@iiv.de
- update to 0.7.5 (fixing security problems and other bugs)
- reincluded libpostproc with reduced so number to fix problems
  with cinelerra, but also don't get conflicts with ffmpeg 0.8.x
* Thu Sep  8 2011 Manfred.Tremmel@iiv.de
- update to 0.7.4 (fixing security problems and other bugs)
* Fri Jul 29 2011 Manfred.Tremmel@iiv.de
- update to 0.7.2 (fixing security problems and other bugs)
* Thu Jun 23 2011 Manfred.Tremmel@iiv.de
- update to 0.7
* Sat Jun 11 2011 Manfred.Tremmel@iiv.de
- update to git Sat Jun 11 14:25:22 UTC 2011
* Sat May 28 2011 Manfred.Tremmel@iiv.de
- update to git Sat May 28 13:26:45 UTC 2011 oldabi branch
* Sat Apr 16 2011 Manfred.Tremmel@iiv.de
- update to git Sat Apr 16 11:03:41 UTC 2011
- reanabled dbug packages
- enabled vaapi support
* Sat Apr  9 2011 Manfred.Tremmel@iiv.de
- returned from libav to ffmpeg
- update to git Sat Apr 09 09:33:26 UTC 2011
* Sat Apr  2 2011 reddwarf@opensuse.org
- Remove man pages from doc dir: helps build-compare
* Sat Apr  2 2011 Manfred.Tremmel@iiv.de
- switch from ffmpeg to libav
- update to git 2011-04-02 14:57 CEST
* Wed Mar  9 2011 Manfred.Tremmel@iiv.de
- update to git 2011-03-09 21:02
* Sun Mar  6 2011 reddwarf@opensuse.org
- Remove __DATE__ and __TIME__ references to help build-compare
* Sun Jan 16 2011 Manfred.Tremmel@iiv.de
- update to svn 26387
* Mon Nov 15 2010 pascal.bleser@opensuse.org
- disable faac support by default, as it makes the resulting packages break the GPL and hence may not be redistributed
- add explicit Requires: lib... = %%{version}-%%{release} to avoid crashes on missing symbols, as upstream doesn't care about proper SONAMEs (and not even proper releases to begin with)
* Sun Nov  7 2010 Manfred.Tremmel@iiv.de
- update to svn 25702
* Sun Oct 17 2010 Manfred.Tremmel@iiv.de
- update to svn 25512
* Sun Oct  3 2010 Manfred.Tremmel@iiv.de
- update to svn 25320
* Sun Jun 27 2010 ludwig.nussel@gmx.de
- require schroedinger-devel instead of libschroedinger-devel for
  compatibility with openSUSE package
- remove libffmpeg0 dummy package
- make libvpx optional
* Fri Jun 25 2010 pascal.bleser@opensuse.org
- verbose build
- make the build use the optflags
- have a debuginfo package
* Sat Jun 19 2010 Manfred.Tremmel@iiv.de
- reenabled avfilter, aspect ratio problem seems to be fixed and it's needed
  by ffmpeg2theora 0.27
* Wed Jun 16 2010 Manfred.Tremmel@iiv.de
- Update to 0.6
* Mon May 24 2010 Manfred.Tremmel@iiv.de
- update to svn 23289
- disabled avfilter, problems with aspect ratio
* Tue May 18 2010 Manfred.Tremmel@iiv.de
- update to svn 23159
* Mon Apr 26 2010 Manfred.Tremmel@iiv.de
- update to svn 22965
* Sat Apr  3 2010 Manfred.Tremmel@iiv.de
- update to svn 22789
* Tue Mar 23 2010 Manfred.Tremmel@iiv.de
- update to svn 22648
- patch to fix build on 11.3 factory i586
- patch to return version when using "ffmpeg -v"
* Sun Feb 28 2010 Manfred.Tremmel@iiv.de
- update to svn 22095
* Wed Feb 17 2010 Manfred.Tremmel@iiv.de
- update to svn 21861
* Sat Feb  6 2010 Manfred.Tremmel@iiv.de
- update to svn 21651
* Sat Jan  2 2010 Manfred.Tremmel@iiv.de
- update to svn 21000
* Fri Dec 11 2009 Manfred.Tremmel@iiv.de
- update to svn 20796
* Mon Nov 23 2009 Manfred.Tremmel@iiv.de
- update to svn 20592
* Wed Nov 11 2009 Manfred.Tremmel@iiv.de
- update to svn 20511
* Thu Sep 24 2009 Manfred.Tremmel@iiv.de
- update to svn 20006
* Tue Sep 22 2009 Manfred.Tremmel@iiv.de
- update to svn 19969
* Sat Aug 29 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Thu May 14 2009 Manfred.Tremmel@iiv.de
- recompile against new x264 (PPC used old one before)
* Tue Apr  7 2009 Manfred.Tremmel@iiv.de
- removed deprecated include symlinks (make trouble with new xine-lib)
* Tue Mar 10 2009 Manfred.Tremmel@iiv.de
- Wow! Never thought, this realy would get realaty, but it's
  a offical relase with tarball and so on. Now it's the real
  ffmpeg 0.5, enjoy it ;-)
* Tue Mar  3 2009 Manfred.Tremmel@iiv.de
- update to svn 17737
- ffmpeg has dumped version to 0.5 in changelog, so this is
  something like a release build ;-) (there are no official
  releases anymore)
- enabled vdpau support
* Wed Feb 11 2009 Manfred.Tremmel@iiv.de
- update to svn 1716
- recompile against new libfaad2 and libfaac
* Mon Dec 15 2008 Manfred.Tremmel@iiv.de
- update to svn 16142
- changed jack dependencies (conflict between jack and jackdmp)
* Sat Dec 13 2008 Manfred.Tremmel@iiv.de
- update to svn 16093
- disabled libnut support, doesn't compile
* Thu Nov  6 2008 Manfred.Tremmel@iiv.de
- update to svn 15785
- compile against new x264 and libtheora0 1.0
* Sat Oct  4 2008 Manfred.Tremmel@iiv.de
- update to svn 15554
- compile against new x264
* Sun Sep 21 2008 Manfred.Tremmel@iiv.de
- update to svn 15375
- compile against new liba52 lib and fixed dependency entry
* Sat Sep 20 2008 Manfred.Tremmel@iiv.de
- update to svn 15372
- compile against new faad2 and xvid packages
* Thu Sep 18 2008 Manfred.Tremmel@iiv.de
- update to svn 15365
- compile against new x264
* Sun Sep 14 2008 Manfred.Tremmel@iiv.de
- update to svn 15319
* Sat Sep  6 2008 Manfred.Tremmel@iiv.de
- update to svn 15224 (wma playback is now fixed in svn)
* Mon Aug 18 2008 Manfred.Tremmel@iiv.de
- update to svn 14828
- another try to fix wma playback (by downgrading all the
  wma stuff with little changes to make it work with new svn)
* Sat Aug 16 2008 Manfred.Tremmel@iiv.de
- update to svn 14793
- fixed dependency entries
* Fri Aug 15 2008 Manfred.Tremmel@iiv.de
- update to svn 14775
- enabled libschroedinger and libnut (only >= 11.0) support
- build with yasm 0.7.1
* Tue Jul 29 2008 Manfred.Tremmel@iiv.de
- update to svn 14462
- fixed some depends entries, thanks to Pascal for reporting it
* Thu Jul 24 2008 Manfred.Tremmel@iiv.de
- update to svn 14365
- fixed bad sound on wma files (downgrade wmadec.c)
* Mon Jul 21 2008 Manfred.Tremmel@iiv.de
- update to svn 14321
- splitted libffmpeg0 into seperate packages
* Sat Jul  5 2008 Manfred.Tremmel@iiv.de
- update to svn 14078
- rebuild with new faac 1.26 and faad2 2.6.1
* Sun Jun 29 2008 Manfred.Tremmel@iiv.de
- update to svn 14030
* Thu Jun 19 2008 Manfred.Tremmel@iiv.de
- removed esound dependency entries, they are not (no longer?) needed
* Tue Jun 17 2008 Manfred.Tremmel@iiv.de
- update to svn 13799
* Mon May 12 2008 Manfred.Tremmel@iiv.de
- update to svn 13138
* Sat Apr 26 2008 Manfred.Tremmel@iiv.de
- update to svn 12977
- patched pkgconfig files, adding new include directories in Cflags
* Tue Apr 22 2008 Manfred.Tremmel@iiv.de
- update to svn 12924
* Sun Apr 13 2008 Manfred.Tremmel@iiv.de
- update to svn 12806
* Sat Mar 29 2008 Manfred.Tremmel@iiv.de
- update to svn 12625
* Sun Mar 16 2008 Manfred.Tremmel@iiv.de
- update to svn 12464
* Mon Mar  3 2008 Manfred.Tremmel@iiv.de
- update to svn 12299
* Tue Feb 19 2008 Manfred.Tremmel@iiv.de
- update to svn 12146
* Sat Feb  9 2008 Manfred.Tremmel@iiv.de
- update to svn 11889:
  Now with Ogg and AVM2 (Flash 9) SWF muxers, TechnoTrend PVA and
  Linux Media Labs MPEG-4 (LMLM4) demuxers, PC Paintbrush PCX and
  Sun Rasterfile decoders
- enabled pthreads support
* Sat Feb  2 2008 Manfred.Tremmel@iiv.de
- update to svn 11813
* Fri Dec 28 2007 Manfred.Tremmel@iiv.de
- update to svn 11346
- rebuild with new x264
* Sun Dec 23 2007 Manfred.Tremmel@iiv.de
- update to svn 11311
- build without altivec support on ppc, otherwise it crashes on
  G3 and older CPUs (seems the detection is broken at the moment)
* Fri Dec 21 2007 Manfred.Tremmel@iiv.de
- update to svn 11296
- included libdc1394 support
- renamed libffmpeg0-devel to libffmpeg-devel
* Tue Nov  6 2007 Manfred.Tremmel@iiv.de
- update to svn 10937
- switched from libdts to libdca package, which now contains libdts library
* Sat Oct 27 2007 Manfred.Tremmel@iiv.de
- update to svn 10865, codecs like AMV audio and video,
  PAFF decoding for H.264, Nellymoser speech codec and
  Beam Software SIFF where included inbetween
* Sun Sep  2 2007 Manfred.Tremmel@iiv.de
- update to svn 10279
- build against new amrnb and amrwb packages
* Tue Jul 24 2007 Manfred.Tremmel@iiv.de
- update to svn 9790, new libswscale is needed for WengoPhone
* Thu Jul  5 2007 Manfred.Tremmel@iiv.de
- update to svn 9487
- using now external amrnb and amrwb packages
* Sat Feb 24 2007 Manfred.Tremmel@iiv.de
- update to svn 8115 to fix missing ac3 support
- enabled libgsm support for SUSE >= 10.1
* Sun Feb 18 2007 Manfred.Tremmel@iiv.de
- update to svn 8019
- changed configure file to enable -ldl, which seems to solve
  problems on some installations
* Thu Feb  8 2007 Manfred.Tremmel@iiv.de
- update to svn 7882, fixes vp6f decoding
* Thu Feb  1 2007 Manfred.Tremmel@iiv.de
- update to svn 7796
- changed options to make it compile on SUSE <= 10.0 again
* Sat Jan 20 2007 Manfred.Tremmel@iiv.de
- update to svn 7591 and disabled gprof for ix86 to fixe
  compile without ugly hacks
- other compiler optimisation changes to fix segfaults
* Thu Jan  4 2007 Manfred.Tremmel@iiv.de
- another svn build, Revision 7407
- added a patch to fix problems in libavutil/common.h
* Thu Dec 21 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 7349
- added a ugly hack to enable the build again on x86
- fixed provides entry
* Sun Oct  8 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6589
- enabled libdts support
* Sun Sep 24 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6328
- removed -03 optimation in configure file, doesn't compile with
  gcc < 4 (SUSE 9.3 and below)
* Mon Sep 18 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6288
* Thu Aug 17 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6005
* Tue Aug 15 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 5999
- rebuild with new faac 1.25 and faad2 2.5
- disabled x264 for older SUSE versions, there is no actuall x264 package
* Fri Aug 11 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 5982
- added [percent]suse_update_libdir -f configure to fix x86_64 problems
* Sat Jun 24 2006 Manfred.Tremmel@iiv.de
- rebuild of latest svn version
* Sat Jun 10 2006 Manfred.Tremmel@iiv.de
- rebuild of latest svn version
* Thu Apr 27 2006 leon@links2linux.de
- bumped the release (compiled against a new x264 version)
* Fri Apr  7 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
- enabled x264 support
- removed pic from libavcodec/libpostproc/Makefile, doesn't compile
  on x86 with pic
* Wed Apr  5 2006 Manfred.Tremmel@iiv.de
- some little changes for SUSE 10.1 thanks to Detlef Reichelt
- removed vc1 (WMV) support (legaly reasons)
* Sat Feb 18 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
- added vc1 (WMV) support
* Wed Feb  1 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
* Sun Jan 22 2006 Manfred.Tremmel@iiv.de
- added provides entries for x86_64
* Fri Jan 13 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
* Sun Oct 16 2005 Manfred.Tremmel@iiv.de
- added a fix for pkgconfig sent by Andreas Hanke
* Sun Oct  9 2005 Manfred.Tremmel@iiv.de
- enabled a lot of codecs
* Sun Sep 18 2005 Manfred.Tremmel@iiv.de
- cvs version for SUSE 10.0, last stable doesn't compile with gcc 4
* Tue Nov 23 2004 detlef@dreichelt.de
- changes for x86_64:
  - added CFLAGS= -fPIC
  - added patch for
  - edit libavcodec/Makefile  /lib --> /lib64
  - edit libavformat/Makefile /lib --> /lib64
  - edit vhook/Makefile       /lib --> /lib64
* Sun Oct 31 2004 Manfred.Tremmel@iiv.de
- added --enable-a52 --enable-faad
* Fri Oct 29 2004 Manfred.Tremmel@iiv.de
- update to 0.4.9 pre1
- added --enable-gpl
* Mon May 17 2004 Manfred.Tremmel@iiv.de
- added --enable-pp to configure for Rainers vlc package
* Mon May  3 2004 Manfred.Tremmel@iiv.de
- some little changes for SuSE 9.1
* Fri Oct  3 2003 Manfred.Tremmel@iiv.de
- update to 0.4.8 final
* Sat Aug 30 2003 Manfred.Tremmel@iiv.de
- update to 0.4.7 final
* Thu Mar 27 2003 Manfred.Tremmel@iiv.de
- added packman headers
- added german translations
* Sat Dec 28 2002 Manfred.Tremmel@iiv.de
- update to 0.4.6 final
* Sat Dec 21 2002 Manfred.Tremmel@iiv.de
- compile for SuSE
- update to current cvs
* Sun Dec 15 2002 yves@zarb.org
- use make installlib instead of doing it by hand.
- added a symlink [percent]_libdir/libavcodec/libavcodec.a to .. for some soft that
  search libavcodec.a here.
* Mon Dec  9 2002 waschk@linux-mandrake.com
- add avformat stuff for gstreamer
- add vhook plugins
- build with imlib2 support
- new snapshot
* Mon Oct 28 2002 waschk@linux-mandrake.com
- latest CVS snapshot
* Mon Aug 19 2002 han@linux-mandrake.com
- update a bit
- Minor cleanups
* Wed Jul 10 2002 waschk@linux-mandrake.com
- change the major to 0.4.6
- new cvs snapshot
* Thu Jun  6 2002 g.rousse@linux-mandrake.com
- updated snapshot
- fixed build
- disabled mmx :-(
- documentation for main package only
- added missing binaries
* Sat May 18 2002 yduret@mandrakesoft.com
- include libavcodec.a (no official release with a stable API -> static linking).
- fix FAQ missing (now in doc/FAQ).
* Wed May 15 2002 g.rousse@linux-mandrake.com
- fixed wrong release
* Wed May  8 2002 g.rousse@linux-mandrake.com
- added missing provides
* Wed Apr 17 2002 waschk@linux-mandrake.com
- update to CVS snapshot
- build shared library
- split package
- don't use [percent]configure, it's not an autoconf script
- add header files
* Mon Sep 10 2001 lenny@mandrakesoft.com
- added in contribs by Götz Waschk <waschk@linux-mandrake.com> :
- removed ffserver, because it doesn't work according to the FAQ
- initial package
